// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    AktionType,
    RegelungsvorhabenTypType,
    RolleLokalType,
    UserEntityResponseDTO,
    VorhabenStatusType,
} from './';

/**
 * @export
 * @interface RegelungsvorhabenBundesratTableDTO
 */
export interface RegelungsvorhabenBundesratTableDTO {
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    abkuerzung?: string;
    /**
     * @type {Array<AktionType>}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    aktionen: Array<AktionType>;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    allowedToArchive?: boolean;
    /**
     * @type {boolean}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    allowedToModify: boolean;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    archiviertAm?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    id: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    kurzbezeichnung?: string;
    /**
     * @type {RolleLokalType}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    rolleTyp: RolleLokalType;
    /**
     * @type {VorhabenStatusType}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    status: VorhabenStatusType;
    /**
     * ID der federführenden Abteilung
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    technischeFfAbteilung?: string;
    /**
     * ID des federführenden Referat
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    technischesFfReferat?: string;
    /**
     * ID des koordinierenden Federführers
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    technischesFfRessort?: string;
    /**
     * @type {RegelungsvorhabenTypType}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    vorhabenart?: RegelungsvorhabenTypType;
    /**
     * Datenblattnummer.
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    dblnr?: string;
    /**
     * Date on which RV was officially received. Must be after date at which RV was technically received. At Bundesrat this shall be called \'Zuleitungsdatum\'. INFO: At Bundestag this shall be called \'Eingangsdatum\'.
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    dateReceivedOfficially?: string;
    /**
     * Date on which RV was technically received. Must be before date at which RV is officially recognized as received.At Bundesrat this shall be called \'Eingangsdatum\'. INFO: At Bundestag this shall be called \'Zuleitungsdatum\'.
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    dateReceivedTechnically: string;
    /**
     * Database id of meta entity, i.e. bundle of all Drucksachen within which exists a GRUND-Drucksache.
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    drucksachenId?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    eingegangen?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    ffAusschussBR?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    ffAusschussBT?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    ffRessort?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    fristBeginn?: string;
    /**
     * @type {string}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    zuleitungAm: string;
    /**
     * @type {UserEntityResponseDTO}
     * @memberof RegelungsvorhabenBundesratTableDTO
     */
    zuleitungVon: UserEntityResponseDTO;
}


